
/**
 * Title:        "Knowledge Emerging from Behaviour" Architecture<p>
 * Description:  <p>
 * Copyright:    Copyright (c) Carlos Gershenson, C.Gershenson@sussex.ac.uk<p>
 * Company:      COGS, University of Sussex<p>
 * @author Carlos Gershenson, C.Gershenson@sussex.ac.uk
 * @version 3.0
 */
package keba;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import javax.swing.border.*;
import javax.vecmath.*;
import keba.tools.Tools;

public class AnimatNNFrame extends AnimatFrame {
  AnimatNN a;

  public AnimatNNFrame(Animat na) {
    super(na);
  }

  void jbInit(Animat na) throws Exception {
    a=(AnimatNN)na;
    as=(Animat)a;

    jbInitAll();

    this.setBounds(40,100,430,490);

    output = new TextArea(21, 68);
    output.setFont(new java.awt.Font("Monospaced", 0, 10));


    this.getContentPane().add(output, null);
    this.getContentPane().add(nameL, null);
    this.getContentPane().add(nameTF, null);
    this.getContentPane().add(nameB, null);
    this.getContentPane().add(clearB, null);
    this.getContentPane().add(verboseTB, null);
    this.getContentPane().add(immortalTB, null);
    this.getContentPane().add(trailTB, null);
    this.getContentPane().add(rmTrailB, null);
    this.getContentPane().add(jPanel1, null);
    this.getContentPane().add(internalP, null);
    this.getContentPane().add(removeB, null);

    this.show();
  }

  public void step(){
    stepState();
  }
}