
/**
 * <p>Title: "Knowledge Emerging from Behaviour" Architecture</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) Carlos Gershenson, C.Gershenson@sussex.ac.uk</p>
 * <p>Company: COGS, University of Sussex</p>
 * @author Carlos Gershenson, C.Gershenson@sussex.ac.uk
 * @version 3.0
 */
package keba;

import keba.tools.Tools;
import java.io.Serializable;

public class BehaviourMaes implements Serializable {
  int type;//=action types in AnimatMaes.class
  float a;//activation
  boolean exec;
  int []links = new int[AnimatMaes.NACT];;//-1 predecessor, 1 successor, 2 conflict, 0 none
  public BehaviourMaes(int typ) {
    type=typ;
    a=0;
  }

  public String showA(){
    String str=" beh-"+AnimatMaes.actType(type)+" a:"+Tools.str(a)+"\n";
    return str;
  }
  public String show(){
    String str=" beh-"+AnimatMaes.actType(type)+" a:"+Tools.str(a)+" links: ";
    for (int i=0;i<AnimatMaes.NACT;i++){
      if (links[i]==AnimatMaes.PREDECESSOR)
        str+="Predecessor of "+AnimatMaes.actType(i)+" ";
      else if (links[i]==AnimatMaes.SUCCESSOR)
        str+="Successor of "+AnimatMaes.actType(i)+" ";
      else if (links[i]==AnimatMaes.CONFLICTER)
        str+="Conflicts with "+AnimatMaes.actType(i)+" ";
    }
    str+="\n";
    return str;
  }
}