
/**
 * Title:        "Knowledge Emerging from Behaviour" Architecture<p>
 * Description:  <p>
 * Copyright:    Copyright (c) Carlos Gershenson, C.Gershenson@sussex.ac.uk<p>
 * Company:      COGS, University of Sussex<p>
 * @author Carlos Gershenson, C.Gershenson@sussex.ac.uk
 * @version 3.0
 */
package keba.tools;

public class Tools {
  public static final int precission =6;
  public Tools() {
  }

  public static String str(float f){
    if ((Math.abs(f)<Math.pow(10,-precission+3))&&(f!=0.0))
      return "0.00..";
    if (String.valueOf(f).length()<=precission)
      return String.valueOf(f);
    else
      return String.valueOf(f).substring(0,precission);
  }

  public static String str(float f, int prec){
    if (String.valueOf(f).length()<=prec)
      return String.valueOf(f);
    else
      return String.valueOf(f).substring(0,prec);
  }

  public static String str(String s, int prec){
    if (s.length()<=prec)
      return s;
    else
      return s.substring(0,prec);
  }

  public static int getMax(float[] v){//returns maximum value in an array
    int maxi=-1;
    float maxval=-Float.MAX_VALUE;
    for (int i=0;i<v.length;i++){
      if (v[i]>maxval){
        maxval=v[i];
        maxi=i;
      }
    }
    return maxi;
  }

  public static String str(long l){
    return String.valueOf(l);
  }

  public static String showVec(float[] v){//shows a vector
    String s=new String();
    for (int i=0;i<v.length;i++){
      s+=str(v[i])+" ";
    }
    s+="\n";
    return s;
  }

}